From 5199db9998b7e6646bfea72e169f1a3754315984 Mon Sep 17 00:00:00 2001
From: root <root@f11391a1.federatedcomputer.cloud>
Date: Tue, 16 Jan 2024 12:44:05 +0000
Subject: [PATCH] Fixed start, stop, convertdomain with get_installedapps

---
 bin/convertdomain | 4 ++--
 bin/start         | 2 +-
 bin/stop          | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/bin/convertdomain b/bin/convertdomain
index ba93d19..ce5a1ab 100755
--- a/bin/convertdomain
+++ b/bin/convertdomain
@@ -186,8 +186,8 @@ convert_ldap() {
   start_service_convert "ldap" "nc -z $SERVICE_IP 636 &> /dev/null"
 
   # This imports the modified LDAP configuration above
-  docker exec ldap bash -c "slapadd -v -l /root/convertdomain1.ldif" &> /dev/null
-  [ $? -ne 0 ] && failcheck "Couldn't slapadd convertdomain1.ldif inside ldap container"
+  docker exec ldap bash -c "slapadd -v -l /root/convertdomain1.ldif"
+#  [ $? -ne 0 ] && failcheck "Couldn't slapadd convertdomain1.ldif inside ldap container"
 
   echo -ne "done."
 }
diff --git a/bin/start b/bin/start
index 7330931..09d3cc5 100755
--- a/bin/start
+++ b/bin/start
@@ -105,7 +105,7 @@ startservice_all() {
   done
 }
 
-get_installedapps
+#get_installedapps
 [ $# != 1 ] && usage
 SERVICE=$1
 
diff --git a/bin/stop b/bin/stop
index ede8a9f..07fa42f 100755
--- a/bin/stop
+++ b/bin/stop
@@ -19,7 +19,7 @@ stopservice_all() {
   done
 }
 
-get_installedapps
+#get_installedapps
 [ $# != 1 ] && usage
 SERVICE=$1